# EEPROM parameters - AT25256

# 2 - SPI eeprom 25xxx series
set flash_type 2

# subtype 1 - for alternate ERASE SECTOR command (0xD8)
set flash_subtype 1

# Compatible ifaces - MCBSP & SPI
set compatible_interfaces { 2 3 }

# EEPROM capacity in bytes
set flash_size 8388608

# All pages (sectors) are the same size
set uniform_sector 1

# Page size for "PAGE WRITE" EEPROM operation
set pagesize  256

# Sector size for erasing
set sectorsize  65536


# Programming is performed by one page at a time, not byte/word
set programming_by_byte 0

# number of address bytes
set addrbytes 3

# Script for Flash/EEPROM specific CPU setup
set ic_specific_setup 25xx.tcl
